# OpenStack

# Usage

To use tempest-lib in a project:

    import tempest_lib

## CLI Testing Framework Usage

The CLI testing framework allows you to test the command line interface for an OpenStack project’s python-*client

## Decorators Usage Guide

These decorators enable common utility functions inside of your test suite

## Rest Client Usage

The base building block for making a project specific client